gtg (0.6-10) unstable; urgency=medium

  * Team upload.
  * Remove usage of python3-mock

 -- Alexandre Detiste <tchet@debian.org>  Sun, 15 Dec 2024 02:15:15 +0100

gtg (0.6-9) unstable; urgency=medium

  * Team upload

  [ Bastian Germann ]
  * Reduce autopkgtest deps, depending on gnome-session instead of gdm3
    (Closes: #1082519)

  [ Simon McVittie ]
  * d/tests/control: Don't depend on gnome-session either.
    gnome-session has the same architecture limitations as gdm3, because
    both depend on gnome-shell, which depends on gjs, which depends on
    mozjs128, which is not available on armel.
    (Really Closes: #1082519)
  * d/tests/control: Depend on libglib2.0-bin, for gsettings.
    Previously this was pulled in by gdm3 and/or gnome-session.
  * d/tests/check-graphical-app: Terminate dbus-daemon after testing

 -- Simon McVittie <smcv@debian.org>  Sat, 05 Oct 2024 15:22:57 +0100

gtg (0.6-8) unstable; urgency=medium

  * Fix loading color for saved searches

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 10 Jun 2024 19:42:11 -0300

gtg (0.6-7) unstable; urgency=medium

  * Revert patch switching from imp to importlib; use zombie-imp instead
    (Closes: #1065091)

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 29 Feb 2024 20:59:07 -0300

gtg (0.6-6) unstable; urgency=medium

  * Team upload.
  * Replace deprecated module imp by importlib
    Closes: #1061801
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 17 Feb 2024 09:29:42 +0100

gtg (0.6-5) unstable; urgency=medium

  * Work around crash when font_name not defined in config file
    (Closes: #1050462)
  * Update d/copyright

 -- Francois Mazen <francois@mzf.fr>  Mon, 04 Sep 2023 18:16:38 +0200

gtg (0.6-4) unstable; urgency=medium

  * Team upload
  * Set python install layout 'deb' (Closes: #1041334)

 -- Bastian Germann <bage@debian.org>  Tue, 18 Jul 2023 00:41:38 +0200

gtg (0.6-3) unstable; urgency=medium

  * Depend on current pdftk-java

 -- Bastian Germann <bage@debian.org>  Mon, 17 Jul 2023 13:59:02 +0200

gtg (0.6-2) unstable; urgency=medium

  * Team Upload.
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 12 Jan 2023 00:39:08 +0530

gtg (0.6-1) unstable; urgency=medium

  * Package reintroduction (Closes: #1014195)
    + Upstream is now active with new releases available.

  [ Luca Falavigna ]
  * debian/control:
    - Adjust Homepage field to match the new location (Closes: #751072).

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ Francois Mazen ]
  * d/watch: Update to upstream repository
  * New upstream version (Closes: #970426):
      - No more python2 dependency (Closes: #938945)
      - No more pygtk dependency (Closes: #885300)
      - New project homepage (Closes: #928279)
      - GTK3 port (Closes: #612636)
      - libsecret port (Closes: #844157)
  * Bump standards version to 4.6.1.0
  * Set Rules-Requires-Root to no
  * Set debhelper-compat to 13
  * Fix man page syntax for bullet lists
  * Remove obsolete patches
  * Change maintainer to python team
  * Set script in /usr/bin executable
  * Remove obsolete lintian override
  * Add upstream metadata
  * Add autopkgtests

  [ Nilesh Patra ]
  * Fix permissions in dh_fixperms rule instead
  * Respect nocheck profile for tests
  * Add patch to exit with status code of pytest execution, i.e.
    hardfail when build-time tests fail, instead of ignoring the result
  * export HOME before running tests to fix build in sbuild/pbuilder
  * Also install AUTHORS file

 -- Francois Mazen <francois@mzf.fr>  Mon, 09 Jan 2023 22:53:11 +0530

gtg (0.3.1-4) unstable; urgency=medium

  * Bumped Standards-Version to 3.9.8.
  * debian/control:
      - Added python-notify to Depends field (Closes: #834449).
      - Reorganized Depends field.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Mon, 15 Aug 2016 18:43:00 -0300

gtg (0.3.1-3) unstable; urgency=medium

  * debian/menu: Removed to compliant with CTTE #741573.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Mon, 30 Nov 2015 20:23:00 -0200

gtg (0.3.1-2) unstable; urgency=medium

  * New Maintainer (Closes: #755296). Thanks for Luca Falavigna for your work.
  * Bumped Standards-Version to 3.9.6.
  * debian/control:
      - Included dh-python, rdfind and symlinks as build dependency.
      - Updated Homepage: field (Closes: #751072).
  * debian/copyright:
      - Corrected name of files with separated copyrights.
      - Updated years of old maintainer copyright.
  * debian/install:
      - Put bash-completion script to right place.
  * debian/lintian-overrides: added to override a false positive.
  * debian/rules:
      - Moved icon items-tag.png to right place and removed empty directory.
      - Using rdfind and symlinks to remove duplicated files.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Thu, 03 Sep 2015 14:11:00 -0300

gtg (0.3.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/dates.patch:
    - Keep fuzzy dates relative to today, thanks to Frédéric Brière for
      the bug report and the patch! (Closes: #722080).
  * debian/patches/keyworks.patch:
    - Implement Keyword key in the .desktop file.
  * debian/patches/manpages.patch:
    - Fix spelling errors in the man pages.
  * debian/control:
    - Bump Standards-Version to 3.9.5, no changes required.
  * debian/copyright:
    - Refresh copyright information.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 12 Dec 2013 12:29:43 +0100

gtg (0.3-2) unstable; urgency=low

  * Upload to unstable.
  * debian/control:
    - Use canonical URIs for VCS fields
  * debian/install:
    - Install bash-completion script.
  * debian/links:
    - gtcli link must point to gtcli, not gtg.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 05 May 2013 14:23:30 +0200

gtg (0.3-1) experimental; urgency=low

  * New upstream release.
    - Fix crash with liblarch module (Closes: #669872).
  * Remove all Debian patches, applied upstream.
  * debian/control:
    - Depend on python-liblarch (>= 2.1.0).
    - Drop python-liblarch-gtk dependency.
    - Add yelp to Recommends field.
    - Add plugin dependencies to Suggests field, also including
      librsvg2-common for Tomboy/Gnote (Closes: #674613).
    - Bump Standards-Version to 3.9.4, no changes required.
  * debian/copyright:
    - Refresh copyright information.
  * debian/links:
    - Provide gtcli symlink.
  * debian/rules:
    - Set executable bit to script_pocketmod.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 10 Nov 2012 10:44:36 +0100

gtg (0.2.9-1) unstable; urgency=low

  * New upstream release (Closes: #668096).
    - Implement a search text box (Closes: #650279).
    - Window title reflects active tasks (LP: #537096).
    - Fix misbehaviours of the indicator applet (LP: #548836, #676353).
    - Fix crash when selecting notification area plugin twice (LP: #550321).
    - Fix sorting of tasks by date (LP: #556159).
    - Fix excessive delays at startup (LP: #558600).
    - Fix crash with dates having unknown values (LP: #561449).
    - Fix crash issued when pressing delete key (LP: #583103).
    - Keep notification plugin enabled after logoff (LP: #617257).
    - Fix Hamster plugin to work with recent Hamster versions (LP: #620313).
    - No longer use non-unicode strings (LP: #680632).
    - New RTM sync mechanism (LP: #753327).
    - Fix crashes while handling XML storage file (LP: #916474, #917634).
  * debian/patches/*:
    - Drop all patches, they have been merged upstream.
  * debian/patches/shebang.patch:
    - Fix shebang line.
  * debian/patches/manpages.patch:
    - Fix some groff warnings in gtg_new_task man page
  * debian/compat:
    - Bump compatibility level to 9.
  * debian/control:
    - Bump X-Python-Version to >= 2.6.
    - Add python-liblarch and python-liblarch-gtk to Depends field.
    - Add python-cheetah, python-geoclue, python-gnomekeyring,
      python-launchpadlib and python-suds to Suggests field.
    - Bump Standards-Version to 3.9.3.
  * debian/copyright:
    - Refresh copyright information.
    - Format now points to copyright-format site.
  * debian/rules:
    - Make gtcli_bash_completion script executable.
  * debian/watch:
    - Update watch file.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 10 Apr 2012 23:08:21 +0200

gtg (0.2.4-6) unstable; urgency=low

  * debian/patches/*.patch:
    - Use DEP3 headers in patches.
  * debian/patches/select_right_clicked_tasks.patch:
    - Change selection when right-clicking on a different task,
      patch cherry-picked by Jérôme Guelfucci (Closes: #624225).
  * debian/control:
    - Add python-simplejson to Recommends (Closes: #585629).
    - Bump Standards-Version to 3.9.2.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 11 Aug 2011 21:20:24 +0200

gtg (0.2.4-5) unstable; urgency=low

  * Switch to dh_python2.
  * debian/patches/gnome2.patch:
    - Drop obsolete python-gnome2 methods.
  * debian/control:
    - Depend on python-simplejson | python (>= 2.6).
    - Drop python-gnome2 dependency (Closes: #611097).
  * debian/copyright:
    - Update copyright years.
  * debian/rules:
    - Delete unused .egg-info file.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 06 Feb 2011 18:53:44 +0100

gtg (0.2.4-4) unstable; urgency=low

  * debian/patches/x_is_running.patch:
    - Check if a display is available instead of relying on xset being
      installed and functional (Closes: #595430).
  * debian/patches/locale.patch:
    - Use bindtextdomain to simplify locale handling (Closes: #595436, #595440).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 05 Sep 2010 15:03:35 +0200

gtg (0.2.4-3) unstable; urgency=low

  * debian/patches/xml_temp_file.patch:
    - Use temp files to temporarily store GTG status, to avoid
      generating empty XML files (Closes: #590043).
  * debian/control:
    - Bump Standards-Version to 3.9.1, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 11 Aug 2010 09:08:39 +0200

gtg (0.2.4-2) unstable; urgency=low

  * debian/patches/test_executable.patch:
    - Do not launch program to see if it is available, check if it is
      installed and has executable bit enabled instead.
  * debian/patches/reaper_hang.patch:
    - Do not hang on quit due to "completed tasks remover" plugin.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 24 Jun 2010 20:22:12 +0200

gtg (0.2.4-1) unstable; urgency=low

  * New upstream bugfix release.
    - Restore export_templates directory (Closes: #574454).
    - Provide Serbian localization support (LP: #459610).
    - Restore hello_world plugin glade file (LP: #530256).
    - Export plugin doesn't hang if no templates are found (LP: #531909).
    - Fix variable reference in taskbrowser (LP: #544233).
    - Fix "Schedule for" feature (LP: #522470, #549539).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 10 Apr 2010 13:48:37 +0200

gtg (0.2.3-1) unstable; urgency=low

  * New upstream bugfix release.
  * debian/patches/py2.5_compat.patch:
    - Removed, fixed upstream.
  * debian/control:
    - Add Bryce Harrington and Luca Invernizzi to Uploaders.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 02 Mar 2010 21:18:46 +0100

gtg (0.2.2-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/py2.5_compat.patch:
    - Refresh with new compatibility fixes.
  * debian/copyright:
    - Add new copyright holders and adjust copyright years.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 01 Mar 2010 21:02:06 +0100

gtg (0.2.1-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/distutils_missing_files.patch:
    - Removed, fixed upstream.
  * debian/patches/py2.5_compat.patch:
    - with is a reserved word in Python 2.6, import with_statement to
      handle it correctly and avoid issues during byte-compilation.
  * debian/control:
    - Bump Standard-Version to 3.8.4, no changes needed.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 01 Feb 2010 20:21:38 +0100

gtg (0.2-2) unstable; urgency=low

  * debian/patches/distutils_missing_files.patch:
    - Add missing files to setup.py.
  * Switch to format 3.0 (quilt).

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 06 Jan 2010 15:20:15 +0100

gtg (0.2-1) unstable; urgency=low

  * New upstream release.
    - xdg module is no longer required at build time (Closes: #560566).
  * Remove unneeded build-dependencies.
  * Add python-dbus to Depends.
  * Bump dependency on python-gtk2 to be at least 2.14 (Closes: #559498).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 12 Dec 2009 16:04:44 +0100

gtg (0.1.9-1) unstable; urgency=low

  * New upstream beta release.
    - Update translation templates (Closes: #542939).
    - Make some GTK icons translatable (LP: #398904).
    - Fix grammar error (LP: #403168).
  * Update my e-mail address.
  * Bump Standards-Version to 3.8.3, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 02 Dec 2009 23:52:41 +0100

gtg (0.1.2-1) unstable; urgency=low

  * New upstream release.
  * Install binary and module in a private directory.
  * Bump Standards-Version to 3.8.2, no changes required.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Thu, 09 Jul 2009 00:20:03 +0200

gtg (0.1.1-1) unstable; urgency=low

  * Initial release (Closes: #520609).

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Fri, 03 Apr 2009 21:48:06 +0200
